Debian Bug report logs - #380731
php5: Embedded PHP interpreter missing

version graph

Package: php5; Maintainer for php5 is Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>; Source for php5 is src:php5.

Reported by: Josef Spillner <2005@kuarepoti-dju.net>

Date: Tue, 1 Aug 2006 09:03:01 UTC

Severity: wishlist

Fixed in version php5/5.4.1-1

Done: Ondřej Surý <ondrej@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#380731; Package php5. Full text and rfc822 format available.

Acknowledgement sent to Josef Spillner <2005@kuarepoti-dju.net>:
New Bug report received and forwarded. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Josef Spillner <2005@kuarepoti-dju.net>
To: submit@bugs.debian.org
Subject: php5: Embedded PHP interpreter missing
Date: Tue, 1 Aug 2006 10:41:11 +0200
Package: php5
Severity: wishlist

It would be nice to enable the php embed SAPI alongside the apache and
CLI variants. This might be of use for packages like ggz-grubby, which
implements a scripting interface for various languages, or KDE's kscript
which allows component scripting again in various languages. PHP is
missing from both if no shared library to link against is provided,
and the embed SAPI provides this.

I figure that adding this to php5-module.config should be doable.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: powerpc (ppc)
Kernel: Linux 2.6.14-2-powerpc
Locale: LANG=pt_BR.UTF-8, LC_CTYPE=pt_BR.UTF-8 (charmap=UTF-8)



Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#380731; Package php5. Full text and rfc822 format available.

Acknowledgement sent to Josef Spillner <2005@kuarepoti-dju.net>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 380731@bugs.debian.org (full text, mbox):

From: Josef Spillner <2005@kuarepoti-dju.net>
To: 380731@bugs.debian.org
Subject: Status of embed SAPI
Date: Sat, 2 Feb 2008 20:01:19 +0100
Hm, this wish hasn't been responded to. What is holding back its inclusion - 
code quality, some policy, pure oversight....?
Please give a quick status update.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#380731; Package php5. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 380731@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Josef Spillner <2005@kuarepoti-dju.net>, 380731@bugs.debian.org
Subject: Re: [php-maint] Bug#380731: Status of embed SAPI
Date: Sat, 2 Feb 2008 11:22:05 -0800
On Sat, Feb 02, 2008 at 08:01:19PM +0100, Josef Spillner wrote:
> Hm, this wish hasn't been responded to. What is holding back its inclusion - 
> code quality, some policy, pure oversight....?
> Please give a quick status update.

Disgust at the idea of propagating php into other contexts?

We have to put up with php as a language for web apps, but it's a rotten
language whose use should not be encouraged.  Or supported beyond what's
necessary.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#380731; Package php5. Full text and rfc822 format available.

Acknowledgement sent to "Raphael Geissert" <atomo64@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #20 received at 380731@bugs.debian.org (full text, mbox):

From: "Raphael Geissert" <atomo64@gmail.com>
To: 380731@bugs.debian.org
Cc: "Josef Spillner" <2005@kuarepoti-dju.net>
Subject: Re: [php-maint] Bug#380731: Bug#380731: Status of embed SAPI
Date: Sat, 2 Feb 2008 14:55:17 -0600
On 02/02/2008, Steve Langasek <vorlon@debian.org> wrote:
> On Sat, Feb 02, 2008 at 08:01:19PM +0100, Josef Spillner wrote:
> > Hm, this wish hasn't been responded to. What is holding back its inclusion -
> > code quality, some policy, pure oversight....?
> > Please give a quick status update.
>
> Disgust at the idea of propagating php into other contexts?
>
> We have to put up with php as a language for web apps, but it's a rotten
> language whose use should not be encouraged.  Or supported beyond what's
> necessary.

Not to mention this:
$ cat sapi/embed/EXPERIMENTAL
this module is experimental,
its functions may change their names
or move to extension all together
so do not rely to much on them
you have been warned!

>
> --
> Steve Langasek                   Give me a lever long enough and a Free OS
> Debian Developer                   to set it on, and I can move the world.
> Ubuntu Developer                                    http://www.debian.org/
> slangasek@ubuntu.com                                     vorlon@debian.org
>
>
>
> _______________________________________________
> pkg-php-maint mailing list
> pkg-php-maint@lists.alioth.debian.org
> http://lists.alioth.debian.org/mailman/listinfo/pkg-php-maint
>

Cheers,
-- 
Atomo64 - Raphael

Please avoid sending me Word, PowerPoint or Excel attachments.
See http://www.gnu.org/philosophy/no-word-attachments.html

Say NO to Microsoft Office broken standard.
See http://www.noooxml.org/petition




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#380731; Package php5. (Fri, 31 Oct 2008 08:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Erik van Pienbroek <erik@tintel.nl>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Fri, 31 Oct 2008 08:54:02 GMT) Full text and rfc822 format available.

Message #25 received at 380731@bugs.debian.org (full text, mbox):

From: Erik van Pienbroek <erik@tintel.nl>
To: 380731@bugs.debian.org
Cc: Josef Spillner <2005@kuarepoti-dju.net>
Subject: Re: php5: Embedded PHP interpreter missing
Date: Fri, 31 Oct 2008 09:50:10 +0100
Op dinsdag 01-08-2006 om 10:41 uur [tijdzone +0200], schreef Josef Spillner: 
> It would be nice to enable the php embed SAPI alongside the apache and
> CLI variants.

I am also interested in having an php-embed package containing the embed SAPI.
This is required for an application I'm developing at the moment.

Regards,

Erik van Pienbroek





Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#380731; Package php5. (Thu, 27 Nov 2008 12:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Erik van Pienbroek <erik@tintel.nl>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Thu, 27 Nov 2008 12:03:08 GMT) Full text and rfc822 format available.

Message #30 received at 380731@bugs.debian.org (full text, mbox):

From: Erik van Pienbroek <erik@tintel.nl>
To: 380731@bugs.debian.org
Subject: Re: php5: Embedded PHP interpreter missing
Date: Thu, 27 Nov 2008 12:58:36 +0100
[Message part 1 (text/plain, inline)]
Tags: patch

Attached is a patch against Debian stable (PHP 5.2.0) and testing (PHP
5.2.6) which enables the embed SAPI in a seperate package called
libphp5-embed. The header file /usr/include/php5/sapi/embed/php_embed.h
(required for building applications using the embed SAPI) is bundled
with the php5-dev package.

Regards,

Erik van Pienbroek

[debian_stable_php_enable_embed_sapi.patch (text/x-patch, attachment)]
[debian_testing_php_enable_embed_sapi.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#380731; Package php5. (Fri, 13 Feb 2009 20:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Biggar <paul.biggar@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Fri, 13 Feb 2009 20:12:03 GMT) Full text and rfc822 format available.

Message #35 received at 380731@bugs.debian.org (full text, mbox):

From: Paul Biggar <paul.biggar@gmail.com>
To: 380731@bugs.debian.org
Subject: Re: php5: Embedded PHP interpreter missing
Date: Fri, 13 Feb 2009 20:08:38 +0000
Hi,

Is there any progress since the patch?

Thanks,
Paul

-- 
Paul Biggar
paul.biggar@gmail.com




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#380731; Package php5. (Tue, 09 Feb 2010 08:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Tue, 09 Feb 2010 08:09:03 GMT) Full text and rfc822 format available.

Message #40 received at 380731@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: Paul Biggar <paul.biggar@gmail.com>, 380731@bugs.debian.org
Subject: Re: [php-maint] Bug#380731: php5: Embedded PHP interpreter missing
Date: Tue, 9 Feb 2010 09:06:36 +0100
> Is there any progress since the patch?

Nope, and I doubt there ever will be. I guess we all (php maintainers)
share Steve's opinion on embedding php5. It's bad enough with php5
today, no need to make it worse by plugging language create to server
web pages to another random applications. If you need to embed
scripting language, use something more suited for the task - lua comes
to the mind.

Ondrej
-- 
Ondřej Surý <ondrej@sury.org>
http://blog.rfc1925.org/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#380731; Package php5. (Tue, 09 Feb 2010 09:51:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Biggar <paul.biggar@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Tue, 09 Feb 2010 09:51:23 GMT) Full text and rfc822 format available.

Message #45 received at 380731@bugs.debian.org (full text, mbox):

From: Paul Biggar <paul.biggar@gmail.com>
To: Ondřej Surý <ondrej@debian.org>
Cc: 380731 <380731@bugs.debian.org>
Subject: Re: [php-maint] Bug#380731: php5: Embedded PHP interpreter missing
Date: Tue, 9 Feb 2010 01:47:41 -0800
Hi Ondřej,

On Tue, Feb 9, 2010 at 12:06 AM, Ondřej Surý <ondrej@debian.org> wrote:
> Nope, and I doubt there ever will be. I guess we all (php maintainers)
> share Steve's opinion on embedding php5. It's bad enough with php5
> today, no need to make it worse by plugging language create to server
> web pages to another random applications. If you need to embed
> scripting language, use something more suited for the task - lua comes
> to the mind.

While I support the idea that PHP is a hideous language that should
never be used, I do not support the idea that your role as maintainers
should allow you to refuse to package something for what is
essentially a religious reason.

Steve's comment about it being experimental is also incorrect, despite
the file he quoted, which is out of date. The embed APIs have not
changed at all in the four years this bug has been open, it is as
stable and mature as anything else in PHP. I think this argument is
only being used as a strawman to support what has already been decided
based on religious reasons.


Thanks,
Paul

-- 
Paul Biggar
paul.biggar@gmail.com




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#380731; Package php5. (Wed, 10 Feb 2010 09:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to sean finney <seanius@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Wed, 10 Feb 2010 09:15:03 GMT) Full text and rfc822 format available.

Message #50 received at 380731@bugs.debian.org (full text, mbox):

From: sean finney <seanius@debian.org>
To: Paul Biggar <paul.biggar@gmail.com>, 380731@bugs.debian.org
Subject: Re: [php-maint] Bug#380731: Bug#380731: php5: Embedded PHP interpreter missing
Date: Wed, 10 Feb 2010 10:13:31 +0100
[Message part 1 (text/plain, inline)]
hi paul,

On Tue, Feb 09, 2010 at 01:47:41AM -0800, Paul Biggar wrote:
> While I support the idea that PHP is a hideous language that should
> never be used, I do not support the idea that your role as maintainers
> should allow you to refuse to package something for what is
> essentially a religious reason.

there's also the unfortunate reality that as it stands now the maintainers
for for php are few and already overcommitted with supporting the existing
php5 packages/extensions in debian.  so regardless of the "religious"
objections as you call it, there's also an acute shortage of
knowledge/time/interest/developers to deal with supporting yet another SAPI.

myself, i might not have the same strong objections that other members of
the team may have, but i certainly won't be making any investment of
time to get this working, either.  i'm (semi-ignorantly) guessing that
there are *also* some technical problems that would have to be solved
w.r.t the exported includes/api/abi/dependencies.

in any event, i think there would be unanimous agreement from our team
that even if we do enable this SAPI it won't be for squeeze given the
short time frame and the focus of our limited efforts is to get 5.3
transitioned to testing before the freeze.


	sean
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#380731; Package php5. (Mon, 01 Mar 2010 00:15:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pierre Joye <pierre.php@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Mon, 01 Mar 2010 00:15:12 GMT) Full text and rfc822 format available.

Message #55 received at 380731@bugs.debian.org (full text, mbox):

From: Pierre Joye <pierre.php@gmail.com>
To: 380731@bugs.debian.org
Subject: understanding and kwow your place
Date: Mon, 1 Mar 2010 01:14:31 +0100
hi,

I find quite amusing to read the comments in this bug report. Steve
Langasek's reply is simply too stupid to even be considered, yet
another extremist who make Debian such a pain to use.

However I can fully understand Steve as maintaining another SAPI is a
lot of work, and from a time point of view, it could be hard to
support. But I'd to say that it is an expected situation given the way
you patch PHP in all possible ways, including the suhoshin patch being
actived by default (which adds its lot of pain as well). Maybe the
right time to reconsider this strategy and work more closely with us
at php, as some of you began to do a couple of weeks ago. A long
awaited step.

Cheers,
-- 
Pierre

@pierrejoye | http://blog.thepimp.net | http://www.libgd.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#380731; Package php5. (Mon, 01 Mar 2010 04:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Mon, 01 Mar 2010 04:45:02 GMT) Full text and rfc822 format available.

Message #60 received at 380731@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 380731@bugs.debian.org
Subject: [sandstorm37@gmail.com: re: put up with php]
Date: Sun, 28 Feb 2010 20:41:52 -0800
I guess this belongs to this bug report.  Enjoy. :)

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org

----- Forwarded message from Sandstorm <sandstorm37@gmail.com> -----

Date: Sun, 28 Feb 2010 20:11:15 -0800
From: Sandstorm <sandstorm37@gmail.com>
To: vorlon@debian.org
Subject: re: put up with php
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US; rv:1.9.1.8)
	Gecko/20100216 Thunderbird/3.0.2
Received: from ?192.168.1.141? (24-205-107-131.dhcp.reno.nv.charter.com
        [24.205.107.131])
        by mx.google.com with ESMTPS id
        14sm2189576gxk.15.2010.02.28.20.11.19
        (version=SSLv3 cipher=RC4-MD5);
        Sun, 28 Feb 2010 20:11:20 -0800 (PST)



Re "We have to put up with php as a language for web apps, but it's a rotten
language whose use should not be encouraged.  Or supported beyond what's
necessary."


Go fuck yourself.  ...and by the way, the Samba and Openldap projects
are warm garbage wrapped in wet cat shit.


- A PHP Developer


P.S. This is a throwaway email account but please spend as much time
as you'd like crafting a reply I won't receive


----- End forwarded message -----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#380731; Package php5. (Mon, 01 Mar 2010 06:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Donovan Walker <donovan.walker@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Mon, 01 Mar 2010 06:48:02 GMT) Full text and rfc822 format available.

Message #65 received at 380731@bugs.debian.org (full text, mbox):

From: Donovan Walker <donovan.walker@gmail.com>
To: 380731@bugs.debian.org
Subject: Wow-
Date: Sun, 28 Feb 2010 23:45:06 -0700
[Message part 1 (text/plain, inline)]
Sounds like Steve hit a nerve.

For the record, I like PHP. It's come a long way in 4 years (about as long
as I've been writing in it).
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#380731; Package php5. (Mon, 01 Mar 2010 06:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to sean finney <seanius@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Mon, 01 Mar 2010 06:51:02 GMT) Full text and rfc822 format available.

Message #70 received at 380731@bugs.debian.org (full text, mbox):

From: sean finney <seanius@debian.org>
To: Pierre Joye <pierre.php@gmail.com>, 380731@bugs.debian.org
Subject: Re: [php-maint] Bug#380731: understanding and kwow your place
Date: Mon, 1 Mar 2010 07:49:37 +0100
[Message part 1 (text/plain, inline)]
hi pierre,

i'd like to point out that while some of us have been making active
efforts to reach out and cooperate, your hyperbole makes it it very
difficult and demotivating to continue doing so.  fwiw, i also hope
the people on our end of the fence keep the level of rhetoric down.

as for your opinions on the suhosin patch, libgd, embedded timezone
data, etc--they may all have valid arguments behind them, but this is
neither the place nor the approach/tone for approaching them.  if you
want to push for some kind of reconciliation, please bring it up in a
constructive form on the pkg-php mailing list or a seperate bug report.

for everyone else, this is a bug report about the embedded sapi and
nothing else, so please keep anything unrelated to this out of the
bug report.  as it is i'm already considering trashing the bug report
and opening a new one because of all the bad blood.  in the meantime
please refer to my previous post (#50) for what our current position
on this is (no time to do so, possible technical concerns, someone else
will have to do the legwork and it will be after squeeze at soonest).

	sean
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#380731; Package php5. (Mon, 01 Mar 2010 08:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pierre Joye <pierre.php@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Mon, 01 Mar 2010 08:51:07 GMT) Full text and rfc822 format available.

Message #75 received at 380731@bugs.debian.org (full text, mbox):

From: Pierre Joye <pierre.php@gmail.com>
To: sean finney <seanius@debian.org>
Cc: 380731@bugs.debian.org
Subject: Re: [php-maint] Bug#380731: understanding and kwow your place
Date: Mon, 1 Mar 2010 09:48:10 +0100
HI,

On Mon, Mar 1, 2010 at 7:49 AM, sean finney <seanius@debian.org> wrote:
> hi pierre,
>
> i'd like to point out that while some of us have been making active
> efforts to reach out and cooperate, your hyperbole makes it it very
> difficult and demotivating to continue doing so.  fwiw, i also hope
> the people on our end of the fence keep the level of rhetoric down.

Agreed.

> as for your opinions on the suhosin patch, libgd, embedded timezone
> data, etc--they may all have valid arguments behind them, but this is
> neither the place nor the approach/tone for approaching them.  if you
> want to push for some kind of reconciliation, please bring it up in a
> constructive form on the pkg-php mailing list or a seperate bug report.

That has been done already, for what I can do there is even an open
report about GD (which is solved as of 5.3.0+ :).

> for everyone else, this is a bug report about the embedded sapi and
> nothing else, so please keep anything unrelated to this out of the
> bug report.  as it is i'm already considering trashing the bug report
> and opening a new one because of all the bad blood.  in the meantime
> please refer to my previous post (#50) for what our current position
> on this is (no time to do so, possible technical concerns, someone else
> will have to do the legwork and it will be after squeeze at soonest).

About embed, I also think it is prematur to bring it to a stable
package. It needs some changes to be useful (for ex. split init
functions so it can be used with embedded server more efficiently).
Maybe a good start would be to contribute directly to PHP and add some
tests for this SAPI. Once we reached a stable state, distros can then
consider to bring it to their users.

Cheers,
-- 
Pierre

@pierrejoye | http://blog.thepimp.net | http://www.libgd.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#380731; Package php5. (Sun, 25 Mar 2012 09:03:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Dupont <jamesmikedupont@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Sun, 25 Mar 2012 09:03:28 GMT) Full text and rfc822 format available.

Message #80 received at 380731@bugs.debian.org (full text, mbox):

From: Mike Dupont <jamesmikedupont@googlemail.com>
To: 380731@bugs.debian.org, Debian Mentors <debian-mentors@lists.debian.org>, phc-general@phpcompiler.org
Subject: I would like to support this effort to package phc and php-embedded in debian
Date: Sun, 25 Mar 2012 10:58:42 +0200
For the packaging of phc in debian, which I would like to have
packaged, we need some way to allow the embedding of php.
I will look into packaging of them both together and uploading them to
debian mentors. Really php embedded could be it own package like
discussed.
it should be possible to host the debs produced on debian mentors
server or somewhere else until we have a final solution.

thanks,
mike

-- 
James Michael DuPont
Member of Free Libre Open Source Software Kosova http://flossk.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#380731; Package php5. (Mon, 26 Mar 2012 08:09:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Mon, 26 Mar 2012 08:09:11 GMT) Full text and rfc822 format available.

Message #85 received at 380731@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: Mike Dupont <jamesmikedupont@googlemail.com>, 380731@bugs.debian.org
Cc: Debian Mentors <debian-mentors@lists.debian.org>, phc-general@phpcompiler.org
Subject: Re: [php-maint] Bug#380731: I would like to support this effort to package phc and php-embedded in debian
Date: Mon, 26 Mar 2012 10:08:09 +0200
On Sun, Mar 25, 2012 at 10:58, Mike  Dupont
<jamesmikedupont@googlemail.com> wrote:
> For the packaging of phc in debian, which I would like to have
> packaged, we need some way to allow the embedding of php.
> I will look into packaging of them both together and uploading them to
> debian mentors. Really php embedded could be it own package like
> discussed.

That's the worst idea I have ever heard in this case.  You would
double the work required
by security team. Every security issue which hit the PHP would need
two updates - one in
main php5 package and second in php5-embedded.

I am strongly opposed to uploading php-mebedded as separate package
just to circumvent
the (later) things which was said about embedded SAPI (still
experimental in the upstream,
no motivation to support yet another SAPI from maintainers).

> it should be possible to host the debs produced on debian mentors
> server or somewhere else until we have a final solution.

I have a much better proposal. Join the PHP5 packaging team (#664595),
help with bug
squashing in the main package and also dedicate yourself to support
php5-embedded.

There are already too many "sort-of-orphaned" packages in the Debian
where the original
maintainer lost the interest in the software and in the package and
forgot that he made the
upload.

O.
-- 
Ondřej Surý <ondrej@sury.org>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#380731; Package php5. (Mon, 26 Mar 2012 17:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Dupont <jamesmikedupont@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Mon, 26 Mar 2012 17:48:06 GMT) Full text and rfc822 format available.

Message #90 received at 380731@bugs.debian.org (full text, mbox):

From: Mike Dupont <jamesmikedupont@googlemail.com>
To: Ondřej Surý <ondrej@debian.org>
Cc: 380731@bugs.debian.org, Debian Mentors <debian-mentors@lists.debian.org>, phc-general@phpcompiler.org
Subject: Re: [php-maint] Bug#380731: I would like to support this effort to package phc and php-embedded in debian
Date: Mon, 26 Mar 2012 19:45:44 +0200
On Mon, Mar 26, 2012 at 10:08 AM, Ondřej Surý <ondrej@debian.org> wrote:
> You would
> double the work required
> by security team. Every security issue which hit the PHP would need
> two updates - one in
> main php5 package and second in php5-embedded.

That would be bad, I agree. I did not think that far.

Right now i am still fighting with hiphop for php, when i have that
package done nicely I will look at phc. maybe we can make a separate
php embedded package that uses the same sources, and is built at the
same time.

mike


-- 
James Michael DuPont
Member of Free Libre Open Source Software Kosova http://flossk.org




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 03 May 2012 20:09:10 GMT) Full text and rfc822 format available.

Reply sent to Ondřej Surý <ondrej@debian.org>:
You have taken responsibility. (Thu, 03 May 2012 22:54:22 GMT) Full text and rfc822 format available.

Notification sent to Josef Spillner <2005@kuarepoti-dju.net>:
Bug acknowledged by developer. (Thu, 03 May 2012 22:54:22 GMT) Full text and rfc822 format available.

Message #97 received at 380731-close@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: 380731-close@bugs.debian.org
Subject: Bug#380731: fixed in php5 5.4.1-1
Date: Thu, 03 May 2012 22:53:38 +0000
Source: php5
Source-Version: 5.4.1-1

We believe that the bug you reported is fixed in the latest version of
php5, which is due to be installed in the Debian FTP archive:

libapache2-mod-php5_5.4.1-1_amd64.deb
  to main/p/php5/libapache2-mod-php5_5.4.1-1_amd64.deb
libapache2-mod-php5filter_5.4.1-1_amd64.deb
  to main/p/php5/libapache2-mod-php5filter_5.4.1-1_amd64.deb
libphp5-embed_5.4.1-1_amd64.deb
  to main/p/php5/libphp5-embed_5.4.1-1_amd64.deb
php-pear_5.4.1-1_all.deb
  to main/p/php5/php-pear_5.4.1-1_all.deb
php5-cgi_5.4.1-1_amd64.deb
  to main/p/php5/php5-cgi_5.4.1-1_amd64.deb
php5-cli_5.4.1-1_amd64.deb
  to main/p/php5/php5-cli_5.4.1-1_amd64.deb
php5-common_5.4.1-1_amd64.deb
  to main/p/php5/php5-common_5.4.1-1_amd64.deb
php5-curl_5.4.1-1_amd64.deb
  to main/p/php5/php5-curl_5.4.1-1_amd64.deb
php5-dbg_5.4.1-1_amd64.deb
  to main/p/php5/php5-dbg_5.4.1-1_amd64.deb
php5-dev_5.4.1-1_amd64.deb
  to main/p/php5/php5-dev_5.4.1-1_amd64.deb
php5-enchant_5.4.1-1_amd64.deb
  to main/p/php5/php5-enchant_5.4.1-1_amd64.deb
php5-fpm_5.4.1-1_amd64.deb
  to main/p/php5/php5-fpm_5.4.1-1_amd64.deb
php5-gd_5.4.1-1_amd64.deb
  to main/p/php5/php5-gd_5.4.1-1_amd64.deb
php5-gmp_5.4.1-1_amd64.deb
  to main/p/php5/php5-gmp_5.4.1-1_amd64.deb
php5-imap_5.4.1-1_amd64.deb
  to main/p/php5/php5-imap_5.4.1-1_amd64.deb
php5-interbase_5.4.1-1_amd64.deb
  to main/p/php5/php5-interbase_5.4.1-1_amd64.deb
php5-intl_5.4.1-1_amd64.deb
  to main/p/php5/php5-intl_5.4.1-1_amd64.deb
php5-ldap_5.4.1-1_amd64.deb
  to main/p/php5/php5-ldap_5.4.1-1_amd64.deb
php5-mcrypt_5.4.1-1_amd64.deb
  to main/p/php5/php5-mcrypt_5.4.1-1_amd64.deb
php5-mysql_5.4.1-1_amd64.deb
  to main/p/php5/php5-mysql_5.4.1-1_amd64.deb
php5-mysqlnd_5.4.1-1_amd64.deb
  to main/p/php5/php5-mysqlnd_5.4.1-1_amd64.deb
php5-odbc_5.4.1-1_amd64.deb
  to main/p/php5/php5-odbc_5.4.1-1_amd64.deb
php5-pgsql_5.4.1-1_amd64.deb
  to main/p/php5/php5-pgsql_5.4.1-1_amd64.deb
php5-pspell_5.4.1-1_amd64.deb
  to main/p/php5/php5-pspell_5.4.1-1_amd64.deb
php5-recode_5.4.1-1_amd64.deb
  to main/p/php5/php5-recode_5.4.1-1_amd64.deb
php5-snmp_5.4.1-1_amd64.deb
  to main/p/php5/php5-snmp_5.4.1-1_amd64.deb
php5-sqlite_5.4.1-1_amd64.deb
  to main/p/php5/php5-sqlite_5.4.1-1_amd64.deb
php5-sybase_5.4.1-1_amd64.deb
  to main/p/php5/php5-sybase_5.4.1-1_amd64.deb
php5-tidy_5.4.1-1_amd64.deb
  to main/p/php5/php5-tidy_5.4.1-1_amd64.deb
php5-xmlrpc_5.4.1-1_amd64.deb
  to main/p/php5/php5-xmlrpc_5.4.1-1_amd64.deb
php5-xsl_5.4.1-1_amd64.deb
  to main/p/php5/php5-xsl_5.4.1-1_amd64.deb
php5_5.4.1-1.diff.gz
  to main/p/php5/php5_5.4.1-1.diff.gz
php5_5.4.1-1.dsc
  to main/p/php5/php5_5.4.1-1.dsc
php5_5.4.1-1_all.deb
  to main/p/php5/php5_5.4.1-1_all.deb
php5_5.4.1.orig.tar.gz
  to main/p/php5/php5_5.4.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 380731@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ondřej Surý <ondrej@debian.org> (supplier of updated php5 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 03 May 2012 13:29:07 +0200
Source: php5
Binary: php5 php5-common libapache2-mod-php5 libapache2-mod-php5filter php5-cgi php5-cli php5-fpm libphp5-embed php5-dev php5-dbg php-pear php5-curl php5-enchant php5-gd php5-gmp php5-imap php5-interbase php5-intl php5-ldap php5-mcrypt php5-mysql php5-mysqlnd php5-odbc php5-pgsql php5-pspell php5-recode php5-snmp php5-sqlite php5-sybase php5-tidy php5-xmlrpc php5-xsl
Architecture: source amd64 all
Version: 5.4.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>
Changed-By: Ondřej Surý <ondrej@debian.org>
Description: 
 libapache2-mod-php5 - server-side, HTML-embedded scripting language (Apache 2 module)
 libapache2-mod-php5filter - server-side, HTML-embedded scripting language (apache 2 filter mo
 libphp5-embed - HTML-embedded scripting language (Embedded SAPI library)
 php-pear   - PEAR - PHP Extension and Application Repository
 php5       - server-side, HTML-embedded scripting language (metapackage)
 php5-cgi   - server-side, HTML-embedded scripting language (CGI binary)
 php5-cli   - command-line interpreter for the php5 scripting language
 php5-common - Common files for packages built from the php5 source
 php5-curl  - CURL module for php5
 php5-dbg   - Debug symbols for PHP5
 php5-dev   - Files for PHP5 module development
 php5-enchant - Enchant module for php5
 php5-fpm   - server-side, HTML-embedded scripting language (FPM-CGI binary)
 php5-gd    - GD module for php5
 php5-gmp   - GMP module for php5
 php5-imap  - IMAP module for php5
 php5-interbase - interbase/firebird module for php5
 php5-intl  - internationalisation module for php5
 php5-ldap  - LDAP module for php5
 php5-mcrypt - MCrypt module for php5
 php5-mysql - MySQL module for php5
 php5-mysqlnd - MySQL module for php5 (Native Driver)
 php5-odbc  - ODBC module for php5
 php5-pgsql - PostgreSQL module for php5
 php5-pspell - pspell module for php5
 php5-recode - recode module for php5
 php5-snmp  - SNMP module for php5
 php5-sqlite - SQLite module for php5
 php5-sybase - Sybase / MS SQL Server module for php5
 php5-tidy  - tidy module for php5
 php5-xmlrpc - XML-RPC module for php5
 php5-xsl   - XSL module for php5
Closes: 380731 571795
Changes: 
 php5 (5.4.1-1) unstable; urgency=low
 .
   * Imported Upstream version 5.4.1
     + Fixed insufficient validating of upload name leading to corrupted
       $_FILES indices). (CVE-2012-1172).
     + Add open_basedir checks to readline_write_history and
       readline_read_history.
     + Add Apache 2.4 support (.deb package in experimental comming soon)
     + Added debug info handler to DOM objects.
   * Remove Breaks: on php applications on maintainer requests:
     + simplesamlphp
     + php-horde-auth
   * Add better configuration snippet for CGI (Closes: #571795)
   * Update a description of PHP language based on the text from upstream
     web page (http://www.php.net/manual/en/intro-whatis.php)
   * Enable embed SAPI (Closes: #380731)
   * Add lintian override for libphp5-embed: embedded-library
     usr/lib/libphp5.so: file
   * Add ldconfig to libphp5-embed.{postinst,postrm}
   * Fix #EXTRA# processing for SAPIs (extra ; at the end of sed cmd)
Checksums-Sha1: 
 94e5ca4319c830aeedccc3d3f7d5bda13dbfb1a3 3706 php5_5.4.1-1.dsc
 939c0fa415da534085c4831ae7907ea346d90eb6 14046067 php5_5.4.1.orig.tar.gz
 a9a1796172f3bfb8f1c6d559647083389cd6ae1b 177564 php5_5.4.1-1.diff.gz
 d62bf3fdd7174a5c6fdda61e6eb0ad4b8373d6df 577046 php5-common_5.4.1-1_amd64.deb
 f2b64fd718b6efae8cb373bed1ccc661e500c232 2654482 libapache2-mod-php5_5.4.1-1_amd64.deb
 9b350aa9193f5000b75c4de9e03dfe4dace1caa4 2653512 libapache2-mod-php5filter_5.4.1-1_amd64.deb
 0dd1159e62fbf2157427a288f55b9ad2c41f3e81 5070812 php5-cgi_5.4.1-1_amd64.deb
 bef3a6445286338e370423ccdcdb9f9e2d5b398a 2544144 php5-cli_5.4.1-1_amd64.deb
 b8e200c3b3b943a3889ba17e81ba2094d8513fb4 2576570 php5-fpm_5.4.1-1_amd64.deb
 3d124787b71be42448121fdccb377d041418770f 2652104 libphp5-embed_5.4.1-1_amd64.deb
 28ff4c6398fe5a1e2be6b89dfdbb6e93a4f917ff 497310 php5-dev_5.4.1-1_amd64.deb
 baeaf98ec824718b4ad089ec24b0950435194985 16327086 php5-dbg_5.4.1-1_amd64.deb
 664804a466bd3b3ce341c254615378bbd677fa4d 28936 php5-curl_5.4.1-1_amd64.deb
 6ad761bc1f7899fbce926c44f1ab338eaa1a7b70 9758 php5-enchant_5.4.1-1_amd64.deb
 1fb1ef1102b5d0158785182e37f86fd8d8f9682b 35216 php5-gd_5.4.1-1_amd64.deb
 2286a128952093dbd3bb95167d4331e1beee7b9b 17242 php5-gmp_5.4.1-1_amd64.deb
 754efae8e55b3f2861a2ae4a5e16637db50c98db 35432 php5-imap_5.4.1-1_amd64.deb
 a6178311cf1f18eba1d8cfabc22ae57d2a4065ea 49734 php5-interbase_5.4.1-1_amd64.deb
 b134ac6d77c27b2b4462c9eb4d599fe156ba3ac2 71668 php5-intl_5.4.1-1_amd64.deb
 c4704f02fba8030f56f5dd6144787ea02f33c43a 21638 php5-ldap_5.4.1-1_amd64.deb
 f51f7690a8de75a35ca7c984bd3ddef10e27683d 15836 php5-mcrypt_5.4.1-1_amd64.deb
 6119fc089a54008c31042eae7445172d1944521e 80544 php5-mysql_5.4.1-1_amd64.deb
 b01b6cd713a0e386c03de0231306af4245fb5396 162638 php5-mysqlnd_5.4.1-1_amd64.deb
 8c76af8f4154aee878fb8b3b77125979a8c85b06 36654 php5-odbc_5.4.1-1_amd64.deb
 5c5e5407c2dc80d8f7d1ef1533ccfd92ae0d1edd 60474 php5-pgsql_5.4.1-1_amd64.deb
 4d7321aa125c962b23290c7dc70f92e2d64536bc 8744 php5-pspell_5.4.1-1_amd64.deb
 9d56eadd263b2fa7aa291a263d9dad5dc5756cc8 5024 php5-recode_5.4.1-1_amd64.deb
 9f868ced40db92cb28b1913a14d72e0b25998e73 21630 php5-snmp_5.4.1-1_amd64.deb
 d97c494aab38a839ff07c59258aec3a983402aac 30100 php5-sqlite_5.4.1-1_amd64.deb
 c4e74a7d0e0f1533232f86d73ba9b22577b09010 27920 php5-sybase_5.4.1-1_amd64.deb
 a793771d6fe9f69145be7992bc77c59119c4c213 19466 php5-tidy_5.4.1-1_amd64.deb
 7c21f0e062b8041e4eadf8118f6b3df234f31ce9 36042 php5-xmlrpc_5.4.1-1_amd64.deb
 0ea2cb1ac3f0d2b893a9d3959ef5baf1dc5a100b 15242 php5-xsl_5.4.1-1_amd64.deb
 cde22b6637fbfa42d9e0802a6dd1d9587713d632 1016 php5_5.4.1-1_all.deb
 d2475147350f385e8621ab5f5c12e8c09c074f08 367330 php-pear_5.4.1-1_all.deb
Checksums-Sha256: 
 0f98d0055104a53fee88b4caac6ac4a7203676904b3aeadf74598bfdef241306 3706 php5_5.4.1-1.dsc
 c76914ab105c30eb9722159d7cf1703d2b15b0409c2e0441f157141d186a2965 14046067 php5_5.4.1.orig.tar.gz
 c5a5ef17c978959f899812ce686a33ff3ab1bf67edc24b9b2e4f9e8ad22f446b 177564 php5_5.4.1-1.diff.gz
 1eb3242cefd878ba2b18811c306e6e4044cc705e0182ef167370c29239a6ad8e 577046 php5-common_5.4.1-1_amd64.deb
 344c1c42588ed2f88ba5716085999e7078dfa343d503c57b00f8672651af7c18 2654482 libapache2-mod-php5_5.4.1-1_amd64.deb
 485296a91f6542f3c1281eef7ab710125e9c73df8989458b018f6987c1f438a0 2653512 libapache2-mod-php5filter_5.4.1-1_amd64.deb
 d23eb449dae14434aaf98ea7ace361c87522696e78c83d4211af90e5b2dd7295 5070812 php5-cgi_5.4.1-1_amd64.deb
 89ee257dd8cec46689c4d4123455f675cfa96aaec6884b1e4dbb77f5220966a5 2544144 php5-cli_5.4.1-1_amd64.deb
 1e4936b1347e5e9610121f7adb92a19bf8f7608fe97b6d20d06d2c45eaa0689a 2576570 php5-fpm_5.4.1-1_amd64.deb
 d2a2fc0470432fe396e4fb39adc4b76c84398c89cc6dd1a3e6c63904b07344b6 2652104 libphp5-embed_5.4.1-1_amd64.deb
 481f6f33f36f4b7eedf61380a08d5f343523fd036ffaf22245acf99e5b489b3b 497310 php5-dev_5.4.1-1_amd64.deb
 35a0a2a665a93272bd0ee6ab3a9ea1377895ae9fabd885d2b04d829593a54bfd 16327086 php5-dbg_5.4.1-1_amd64.deb
 42fb8f7b594e28d68672185d821d37599ea9b24bd5943833eba066c07253aad8 28936 php5-curl_5.4.1-1_amd64.deb
 6d92a9b06a567807ab363f0702f3403bb3ad6a48bc9f86cdef27950becff3447 9758 php5-enchant_5.4.1-1_amd64.deb
 c78bcdaf6cad508fe3aa16b0bda21d50acd2e78e5f9ea233b3cb0ad8fedcf791 35216 php5-gd_5.4.1-1_amd64.deb
 aa95febba40ba08538ac460de570a92a9344a42690f348939597868c8e430ecd 17242 php5-gmp_5.4.1-1_amd64.deb
 8569a6f077bc526bc202e61d40962b41b06f72b099cbe921dd529b4b4dd3fff2 35432 php5-imap_5.4.1-1_amd64.deb
 637c3608627d0bafce9904d16cabab631baad0cc2285a5bbab524afd34378429 49734 php5-interbase_5.4.1-1_amd64.deb
 1f8d317cc1f245c0adfcf09a612371d3c9a069fc0d4588f2b6f77cc79fe35a45 71668 php5-intl_5.4.1-1_amd64.deb
 66f456c22c903df21000e7273b9b12e10fca12453f3693007072f570715fcb4f 21638 php5-ldap_5.4.1-1_amd64.deb
 85bcad80c3000419f65b5e565705e903708e1fe40426e33eb546fa028ea15a88 15836 php5-mcrypt_5.4.1-1_amd64.deb
 703784272b9d7f14e4d5b674755bab4ec98ec48c0cd436676b724ec512d89765 80544 php5-mysql_5.4.1-1_amd64.deb
 4cc07bb16f6f800a6c2aaef91b1660e3d2741c8ef1076bec135d2035aad6841d 162638 php5-mysqlnd_5.4.1-1_amd64.deb
 28fc536c113d40591da44432fae9874c956756b7f53ed0f1fe504c18a63f0534 36654 php5-odbc_5.4.1-1_amd64.deb
 9e6e65e275a05e74c13c7c6411fbc9313c11b915ef60025946644808b1ccf004 60474 php5-pgsql_5.4.1-1_amd64.deb
 65b5515ebc3a2e898d35720485e2980878d546aeb6691bb2fae4dec8659a3528 8744 php5-pspell_5.4.1-1_amd64.deb
 56ae86271ccca960ddf929e7b080c41f08b03d4064d942b94b958a50c94fdab9 5024 php5-recode_5.4.1-1_amd64.deb
 2698df0fed3f3a64fcc275478e69055ab90d8baa74b2903463ebb626132cb748 21630 php5-snmp_5.4.1-1_amd64.deb
 d18c54f6f7361965421df376f2bfc6ff80cb80c99084eb13fe0a6aeaf32cde3f 30100 php5-sqlite_5.4.1-1_amd64.deb
 2d2b35995079d3d9183af0df2a5b0be2caecf78bfb11f3f53f35e1506a73e7cc 27920 php5-sybase_5.4.1-1_amd64.deb
 8042bf81f4570822dbddacefdff8c84b2b6e9322381af8a7e8c146e001dfa1b5 19466 php5-tidy_5.4.1-1_amd64.deb
 4ca398f3a985be0122ae0ff6006a4626d092745b063117379e6a2bfa87afa3c9 36042 php5-xmlrpc_5.4.1-1_amd64.deb
 e68f8f14aee4290ff04f0141a385c66f3110f81460bd7010c59dda7bfdb5ca3a 15242 php5-xsl_5.4.1-1_amd64.deb
 f79a1056ece490583a49b0391fadabeb7b6e5208595cb0ff3b595d00cc4a015d 1016 php5_5.4.1-1_all.deb
 ab2220e5d042a7d5c74a6dc7a0edcf027992969d2ab99a555bc167088b78037d 367330 php-pear_5.4.1-1_all.deb
Files: 
 69ba9f082c9595e352cc9fcee02186d1 3706 php optional php5_5.4.1-1.dsc
 acd566dbd70f855c19d17fc3c0e876a2 14046067 php optional php5_5.4.1.orig.tar.gz
 341dba6a855bfe148e945c99a62e8e33 177564 php optional php5_5.4.1-1.diff.gz
 6e707ea059bb733cc2b426bc985cca01 577046 php optional php5-common_5.4.1-1_amd64.deb
 b377801ce2e490882fca3a919bf9e02b 2654482 httpd optional libapache2-mod-php5_5.4.1-1_amd64.deb
 63c2b7cbb1e7793e83ad1384025b7fa7 2653512 httpd extra libapache2-mod-php5filter_5.4.1-1_amd64.deb
 c16cc270f7971b7e6084474a6192c430 5070812 php optional php5-cgi_5.4.1-1_amd64.deb
 79a45b56243a842fd8d9b3b5403b02e3 2544144 php optional php5-cli_5.4.1-1_amd64.deb
 842f35a4e569bb50554bbd845ef1ab1e 2576570 php optional php5-fpm_5.4.1-1_amd64.deb
 2c69d53b81445ae89f70bf8b4e019193 2652104 php optional libphp5-embed_5.4.1-1_amd64.deb
 4394a9e81fc3bae6e383036507bff3ea 497310 php optional php5-dev_5.4.1-1_amd64.deb
 e143986d9ebdce89f86e1d246a1be500 16327086 debug extra php5-dbg_5.4.1-1_amd64.deb
 fe750d0eb6ff429abcd2ebdb3cc0ca59 28936 php optional php5-curl_5.4.1-1_amd64.deb
 099a6648909948d9aebe75d93cb2001d 9758 php optional php5-enchant_5.4.1-1_amd64.deb
 f87b3c892d43458a8f49a4db2c371746 35216 php optional php5-gd_5.4.1-1_amd64.deb
 011b2b2cfbaf5706ecc727f682cc292f 17242 php optional php5-gmp_5.4.1-1_amd64.deb
 7a07f96b73e996cc5b81175a8339ae68 35432 php optional php5-imap_5.4.1-1_amd64.deb
 d5375e6b65f2aa28ff2605665e1e8ee4 49734 php optional php5-interbase_5.4.1-1_amd64.deb
 416df907f811a6013f0310a2bd308a96 71668 php optional php5-intl_5.4.1-1_amd64.deb
 cac6666bf0e33d6a6b4680142310a384 21638 php optional php5-ldap_5.4.1-1_amd64.deb
 fc84b2dfccd811c0864697cd278e4ac7 15836 php optional php5-mcrypt_5.4.1-1_amd64.deb
 17097740e79c9bb4a2a1af5c80179cbe 80544 php optional php5-mysql_5.4.1-1_amd64.deb
 401a6c0558c94600ff0129307eb60fea 162638 php extra php5-mysqlnd_5.4.1-1_amd64.deb
 21dcb3c986b76ef9e6e7fe9e7d5786d9 36654 php optional php5-odbc_5.4.1-1_amd64.deb
 8e5313334a3685d219e6df5cb8ff3371 60474 php optional php5-pgsql_5.4.1-1_amd64.deb
 d683fd6410e2ee278b743034d904a267 8744 php optional php5-pspell_5.4.1-1_amd64.deb
 968677bddb95961e14a56c650bf49d35 5024 php optional php5-recode_5.4.1-1_amd64.deb
 d1fbb878383ce09c74485d962fcb321e 21630 php optional php5-snmp_5.4.1-1_amd64.deb
 21e067b127be1fc4cd5c8ab049bf3b1f 30100 php optional php5-sqlite_5.4.1-1_amd64.deb
 e56504f1df243c5bf688e02b82d9f43e 27920 php optional php5-sybase_5.4.1-1_amd64.deb
 da192838dd87e1aac5eb10a4bf4b76fe 19466 php optional php5-tidy_5.4.1-1_amd64.deb
 55477900fba9c13e692f03ca506b3076 36042 php optional php5-xmlrpc_5.4.1-1_amd64.deb
 02c1dabe7e8a2c7f9b20e274d79c15a1 15242 php optional php5-xsl_5.4.1-1_amd64.deb
 c7175def0c04dffe8b88f51b72a97324 1016 php optional php5_5.4.1-1_all.deb
 ab1c2f7d69ac3c3a959ddcd187aa553d 367330 php optional php-pear_5.4.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk+ifc0ACgkQ9OZqfMIN8nPQcwCZAeGQHEqFZipG5Ug796TFtGWs
9MkAoJlf0CZYIy51ZnVRv4gqwMS6fIOZ
=Ynwt
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 11 Jun 2012 07:42:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:18:29 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.